AbstractCollection
Date: 2016-06-24

java.util

## Class AbstractCollection

- java.lang.Object
- - java.util.AbstractCollection

- All Implemented Interfaces:
    Collection
  Direct Known Subclasses:
    AbstractList, AbstractSet

      public abstract class AbstractCollection
      extends Object
      implements Collection

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Object var0)`
    `boolean` | `addAll(Collection var0)`
    `void` | `clear()`
    `boolean` | `contains(Object var0)`
    `boolean` | `containsAll(Collection var0)`
    `boolean` | `isEmpty()`
    `boolean` | `remove(Object var0)`
    `boolean` | `removeAll(Collection var0)`
    `boolean` | `retainAll(Collection var0)`
    `Object[]` | `toArray()`
    `Object[]` | `toArray(Object[] var0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, iterator, size`

- - ### Constructor Detail

    - #### AbstractCollection

          protected AbstractCollection()

  - ### Method Detail

    - #### add

          public boolean add(Object var0)

      Specified by:
        `add` in interface `Collection`

    - #### addAll

          public boolean addAll(Collection var0)

      Specified by:
        `addAll` in interface `Collection`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection`

    - #### contains

          public boolean contains(Object var0)

      Specified by:
        `contains` in interface `Collection`

    - #### containsAll

          public boolean containsAll(Collection var0)

      Specified by:
        `containsAll` in interface `Collection`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection`

    - #### remove

          public boolean remove(Object var0)

      Specified by:
        `remove` in interface `Collection`

    - #### removeAll

          public boolean removeAll(Collection var0)

      Specified by:
        `removeAll` in interface `Collection`

    - #### retainAll

          public boolean retainAll(Collection var0)

      Specified by:
        `retainAll` in interface `Collection`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection`

    - #### toArray

          public Object[] toArray(Object[] var0)

      Specified by:
        `toArray` in interface `Collection`